com.marklogic.xcc

## Enum Session.TransactionMode

- java.lang.Object
- - java.lang.Enum<Session.TransactionMode>
  - - com.marklogic.xcc.Session.TransactionMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Session.TransactionMode>
  Enclosing interface:
    Session

  Deprecated.

      @Deprecated
      public static enum Session.TransactionMode
      extends java.lang.Enum<Session.TransactionMode>

  The transaction mode for the session, which governs how transactions are created, and whether they are automatically committed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Deprecated. Creates a new transaction for every request.
    `MULTI_AUTO` Deprecated. Creates a transaction to group requests.
    `QUERY` Deprecated. Creates a read-only query transaction to group requests.
    `QUERY_SINGLE_STATEMENT` Deprecated. Every request is in its own transaction.
    `UPDATE` Deprecated. Creates an updating transaction to group requests.
    `UPDATE_AUTO_COMMIT` Deprecated. Creates a new transaction for every request, and commits (or rolls back) the transaction at the end of that request.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Session.Update` | `getUpdate()` Deprecated.
    `boolean` | `isAutoCommit()` Deprecated.
    `boolean` | `isRetryable()` Deprecated.
    `abstract Session.TransactionMode` | `setAutoCommit(boolean autoCommit)` Deprecated.
    `abstract Session.TransactionMode` | `setUpdate(Session.Update update)` Deprecated.
    `abstract java.lang.String` | `toString()` Deprecated.
    `static Session.TransactionMode` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static Session.TransactionMode[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final Session.TransactionMode AUTO

      Deprecated.
      Creates a new transaction for every request. The type of transaction created is determined automatically by the query.

    - #### QUERY

          public static final Session.TransactionMode QUERY

      Deprecated.
      Creates a read-only query transaction to group requests. The transaction must be committed or rolled back explicitly.

    - #### UPDATE

          public static final Session.TransactionMode UPDATE

      Deprecated.
      Creates an updating transaction to group requests. The transaction must be committed or rolled back explicitly.

    - #### UPDATE_AUTO_COMMIT

          public static final Session.TransactionMode UPDATE_AUTO_COMMIT

      Deprecated.
      Creates a new transaction for every request, and commits (or rolls back) the transaction at the end of that request.

    - #### QUERY_SINGLE_STATEMENT

          public static final Session.TransactionMode QUERY_SINGLE_STATEMENT

      Deprecated.
      Every request is in its own transaction.

    - #### MULTI_AUTO

          public static final Session.TransactionMode MULTI_AUTO

      Deprecated.
      Creates a transaction to group requests. The transaction must be committed or rolled back explicitly. The type of the transaction is determined by the first statement in the transaction.

  - ### Method Detail

    - #### values

          public static Session.TransactionMode[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Session.TransactionMode c : Session.TransactionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Session.TransactionMode valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public abstract java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Enum<Session.TransactionMode>`

    - #### isRetryable

          public boolean isRetryable()

      Deprecated.

    - #### isAutoCommit

          public boolean isAutoCommit()

      Deprecated.

    - #### setAutoCommit

          public abstract Session.TransactionMode setAutoCommit(boolean autoCommit)

      Deprecated.

    - #### getUpdate

          public abstract Session.Update getUpdate()

      Deprecated.

    - #### setUpdate

          public abstract Session.TransactionMode setUpdate(Session.Update update)

      Deprecated.

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com